/* A polyfill for browsers that don't support ligatures. */
/* The script tag referring to this file must be placed before the ending body tag. */

/* To provide support for elements dynamically added, this script adds
   method 'icomoonLiga' to the window object. You can pass element references to this method.
*/
(function () {
    'use strict';
    function supportsProperty(p) {
        var prefixes = ['Webkit', 'Moz', 'O', 'ms'],
            i,
            div = document.createElement('div'),
            ret = p in div.style;
        if (!ret) {
            p = p.charAt(0).toUpperCase() + p.substr(1);
            for (i = 0; i < prefixes.length; i += 1) {
                ret = prefixes[i] + p in div.style;
                if (ret) {
                    break;
                }
            }
        }
        return ret;
    }
    var icons;
    if (!supportsProperty('fontFeatureSettings')) {
        icons = {
            ':SPN': '&#xe906;',
            ':MPN': '&#xe907;',
            ':LPN': '&#xe908;',
            ':SPNE': '&#xe909;',
            ':MPNE': '&#xe90a;',
            ':LPNE': '&#xe90b;',
            ':SPE': '&#xe90c;',
            ':MPE': '&#xe90d;',
            ':LPE': '&#xe90e;',
            ':SPSE': '&#xe90f;',
            ':MPSE': '&#xe910;',
            ':LPSE': '&#xe911;',
            ':SPS': '&#xe912;',
            ':MPS': '&#xe913;',
            ':LPS': '&#xe914;',
            ':SPSW': '&#xe915;',
            ':MPSW': '&#xe916;',
            ':LPSW': '&#xe917;',
            ':SPW': '&#xe918;',
            ':MPW': '&#xe919;',
            ':LPW': '&#xe91a;',
            ':SPNW': '&#xe91b;',
            ':MPNW': '&#xe91c;',
            ':LPNW': '&#xe91d;',
            ':SPU': '&#xe91e;',
            ':MPU': '&#xe91f;',
            ':LPU': '&#xe920;',
            ':SMPU': '&#xe921;',
            ':SLPU': '&#xe922;',
            ':MLPU': '&#xe923;',
            ':SMLPU': '&#xe924;',
            '::SPN': '&#xe925;',
            '::MPN': '&#xe926;',
            '::LPN': '&#xe927;',
            '::SPNE': '&#xe928;',
            '::MPNE': '&#xe929;',
            '::LPNE': '&#xe92a;',
            '::SPE': '&#xe92b;',
            '::MPE': '&#xe92c;',
            '::LPE': '&#xe92d;',
            '::SPSE': '&#xe92e;',
            '::MPSE': '&#xe92f;',
            '::LPSE': '&#xe930;',
            '::SPS': '&#xe931;',
            '::MPS': '&#xe932;',
            '::LPS': '&#xe933;',
            '::SPSW': '&#xe934;',
            '::MPSW': '&#xe935;',
            '::LPSW': '&#xe936;',
            '::SPW': '&#xe937;',
            '::MPW': '&#xe938;',
            '::LPW': '&#xe939;',
            '::SPNW': '&#xe93a;',
            '::MPNW': '&#xe93b;',
            '::LPNW': '&#xe93c;',
            '::SPU': '&#xe93d;',
            '::MPU': '&#xe93e;',
            '::LPU': '&#xe93f;',
            '::SMPU': '&#xe940;',
            '::SLPU': '&#xe941;',
            '::MLPU': '&#xe942;',
            '::SMLPU': '&#xe943;',
            ':SPL': '&#xe944;',
            ':S': '&#xe945;',
            ':Small': '&#xe945;',
            ':Pawn': '&#xe945;',
            ':SPR': '&#xe946;',
            ':MPL': '&#xe947;',
            ':M': '&#xe948;',
            ':Medium': '&#xe948;',
            ':Drone': '&#xe948;',
            ':MPR': '&#xe949;',
            ':LPL': '&#xe94a;',
            ':L': '&#xe94b;',
            ':Large': '&#xe94b;',
            ':Queen': '&#xe94b;',
            ':LPR': '&#xe94c;',
            ':SS': '&#xe94d;',
            ':SM': '&#xe94e;',
            ':SL': '&#xe94f;',
            ':MS': '&#xe950;',
            ':MSE': '&#xe951;',
            ':MM': '&#xe952;',
            ':ML': '&#xe953;',
            ':LS': '&#xe954;',
            ':LSE': '&#xe955;',
            ':LM': '&#xe956;',
            ':LME': '&#xe957;',
            ':LL': '&#xe958;',
            ':SSS': '&#xe959;',
            ':SSM': '&#xe95a;',
            ':SSL': '&#xe95b;',
            ':SMS': '&#xe95c;',
            ':SMSE': '&#xe95d;',
            ':SMM': '&#xe95e;',
            ':SML': '&#xe95f;',
            ':Tree': '&#xe95f;',
            ':SLS': '&#xe960;',
            ':SLSE': '&#xe961;',
            ':SLM': '&#xe962;',
            ':SLME': '&#xe963;',
            ':SLL': '&#xe964;',
            ':MSS': '&#xe965;',
            ':MSSE': '&#xe966;',
            ':MSM': '&#xe967;',
            ':MSME': '&#xe968;',
            ':MSL': '&#xe969;',
            ':MSLE': '&#xe96a;',
            ':MMS': '&#xe96b;',
            ':MMSE': '&#xe96c;',
            ':MMM': '&#xe96d;',
            ':MML': '&#xe96e;',
            ':MLS': '&#xe96f;',
            ':MLSE': '&#xe970;',
            ':MLM': '&#xe971;',
            ':MLME': '&#xe972;',
            ':MLL': '&#xe973;',
            ':LSS': '&#xe974;',
            ':LSSE': '&#xe975;',
            ':LSM': '&#xe976;',
            ':LSME': '&#xe977;',
            ':LSL': '&#xe978;',
            ':LSLE': '&#xe979;',
            ':LMS': '&#xe97a;',
            ':Nest': '&#xe97a;',
            ':LMSE': '&#xe97b;',
            ':LMM': '&#xe97c;',
            ':LMME': '&#xe97d;',
            ':LML': '&#xe97e;',
            ':LMLE': '&#xe97f;',
            ':LLS': '&#xe980;',
            ':LLSE': '&#xe981;',
            ':LLM': '&#xe982;',
            ':LLME': '&#xe983;',
            ':LLL': '&#xe984;',
            '::SPL': '&#xe985;',
            '::S': '&#xe986;',
            '::Small': '&#xe986;',
            '::Pawn': '&#xe986;',
            '::SPR': '&#xe987;',
            '::MPL': '&#xe988;',
            '::M': '&#xe989;',
            '::Medium': '&#xe989;',
            '::Drone': '&#xe989;',
            '::MPR': '&#xe98a;',
            '::LPL': '&#xe98b;',
            '::L': '&#xe98c;',
            '::Large': '&#xe98c;',
            '::Queen': '&#xe98c;',
            '::LPR': '&#xe98d;',
            '::SS': '&#xe98e;',
            '::SM': '&#xe98f;',
            '::SL': '&#xe990;',
            '::MS': '&#xe991;',
            '::MSE': '&#xe992;',
            '::MM': '&#xe993;',
            '::ML': '&#xe994;',
            '::LS': '&#xe995;',
            '::LSE': '&#xe996;',
            '::LM': '&#xe997;',
            '::LME': '&#xe998;',
            '::LL': '&#xe999;',
            '::SSS': '&#xe99a;',
            '::SSM': '&#xe99b;',
            '::SSL': '&#xe99c;',
            '::SMS': '&#xe99d;',
            '::SMSE': '&#xe99e;',
            '::SMM': '&#xe99f;',
            '::SML': '&#xe9a0;',
            '::Tree': '&#xe9a0;',
            '::SLS': '&#xe9a1;',
            '::SLSE': '&#xe9a2;',
            '::SLM': '&#xe9a3;',
            '::SLME': '&#xe9a4;',
            '::SLL': '&#xe9a5;',
            '::MSS': '&#xe9a6;',
            '::MSSE': '&#xe9a7;',
            '::MSM': '&#xe9a8;',
            '::MSME': '&#xe9a9;',
            '::MSL': '&#xe9aa;',
            '::MSLE': '&#xe9ab;',
            '::MMS': '&#xe9ac;',
            '::MMSE': '&#xe9ad;',
            '::MMM': '&#xe9ae;',
            '::MML': '&#xe9af;',
            '::MLS': '&#xe9b0;',
            '::MLSE': '&#xe9b1;',
            '::MLM': '&#xe9b2;',
            '::MLME': '&#xe9b3;',
            '::MLL': '&#xe9b4;',
            '::LSS': '&#xe9b5;',
            '::LSSE': '&#xe9b6;',
            '::LSM': '&#xe9b7;',
            '::LSME': '&#xe9b8;',
            '::LSL': '&#xe9b9;',
            '::LSLE': '&#xe9ba;',
            '::LMS': '&#xe9bb;',
            '::Nest': '&#xe9bb;',
            '::LMSE': '&#xe9bc;',
            '::LMM': '&#xe9bd;',
            '::LMME': '&#xe9be;',
            '::LML': '&#xe9bf;',
            '::LMLE': '&#xe9c0;',
            '::LLS': '&#xe9c1;',
            '::LLSE': '&#xe9c2;',
            '::LLM': '&#xe9c3;',
            '::LLME': '&#xe9c4;',
            '::LLL': '&#xe9c5;',
            ':3by3': '&#xe9c7;',
            ':3By3': '&#xe9c7;',
            ':4by4': '&#xe9c8;',
            ':4By4': '&#xe9c8;',
            ':5by5': '&#xe9c9;',
            ':5By5': '&#xe9c9;',
            ':5by6': '&#xe9ca;',
            ':5By6': '&#xe9ca;',
            ':6by6': '&#xe9cb;',
            ':6By6': '&#xe9cb;',
            ':4by8': '&#xe9cc;',
            ':4By8': '&#xe9cc;',
            ':8by8': '&#xe9cd;',
            ':8By8': '&#xe9cd;',
            ':10by10': '&#xe9ce;',
            ':10By10': '&#xe9ce;',
            ':12by12': '&#xe9cf;',
            ':12By12': '&#xe9cf;',
            ':PokerChips': '&#xe9d0;',
            ':Box': '&#xe9d1;',
            ':Screen': '&#xe9d2;',
            ':Index': '&#xe9d3;',
            ':Ball': '&#xe9d4;',
            ':Piecepack': '&#xe9d5;',
            ':PiecePack': '&#xe9d5;',
            ':Checkers': '&#xe9d6;',
            ':MarkerStones': '&#xe9d7;',
            ':Beads': '&#xe9d7;',
            ':Mancala': '&#xe9d7;',
            ':Dominos': '&#xe9d8;',
            ':StashPad': '&#xe9d9;',
            ':Hourglass': '&#xe9da;',
            ':Paper': '&#xe9db;',
            ':GraphPaper': '&#xe9dc;',
            ':HexGraphPaper': '&#xe9dd;',
            ':Battlemat': '&#xe9de;',
            ':HexBattlemat': '&#xe9df;',
            ':Bandana': '&#xe9e0;',
            ':Go': '&#xe9e1;',
            ':Blank': '&#xe9e2;',
            ':Poker': '&#xe9e3;',
            ':Tarot': '&#xe9e4;',
            ':Aquarius': '&#xe9e5;',
            ':PyramidArcardeCards': '&#xe9e6;',
            ':Zark': '&#xe9e7;',
            ':TwinWin': '&#xe9e8;',
            ':MiniLeft': '&#xe9e9;',
            ':Mini': '&#xe9ea;',
            ':MiniRight': '&#xe9eb;',
            ':MiniStack': '&#xe9ec;',
            ':MiniTree': '&#xe9ed;',
            ':MiniTrio': '&#xe9ee;',
            ':MiniNest': '&#xe9ef;',
            ':D4': '&#xe9f0;',
            ':D6': '&#xe9f1;',
            ':D8': '&#xe9f2;',
            ':D10': '&#xe9f3;',
            ':D12': '&#xe9f4;',
            ':D20': '&#xe9f5;',
            ':D30': '&#xe9f6;',
            ':D100': '&#xe9f7;',
            ':D%': '&#xe9f7;',
            ':ColorBlack': '&#xe9f8;',
            ':ColorCircle': '&#xe9f8;',
            ':ColorBlue': '&#xe9f9;',
            ':ColorDiamond': '&#xe9f9;',
            ':ColorGreen': '&#xe9fa;',
            ':ColorClub': '&#xe9fa;',
            ':ColorPurple': '&#xe9fb;',
            ':ColorSpade': '&#xe9fb;',
            ':ColorRed': '&#xe9fc;',
            ':ColorHeart': '&#xe9fc;',
            ':ColorAtom': '&#xe9fd;',
            ':ColorYellow': '&#xe9fe;',
            ':ColorStar': '&#xe9fe;',
            ':AIM': '&#xe9ff;',
            ':Aim': '&#xe9ff;',
            ':DIG': '&#xea00;',
            ':Dig': '&#xea00;',
            ':HOP': '&#xea01;',
            ':Hop': '&#xea01;',
            ':SWAP': '&#xea02;',
            ':Swap': '&#xea02;',
            ':TIP': '&#xea03;',
            ':Tip': '&#xea03;',
            ':WILD': '&#xea04;',
            ':Wild': '&#xea04;',
            ':PyramidDieS': '&#xea05;',
            ':PyramidDieM': '&#xea06;',
            ':PyramidDieL': '&#xea07;',
            ':PyramidDieSM': '&#xea08;',
            ':PyramidDieMS': '&#xea08;',
            ':PyramidDieSL': '&#xea09;',
            ':PyramidDieLS': '&#xea09;',
            ':PyramidDieML': '&#xea0a;',
            ':PyramidDieLM': '&#xea0a;',
            ':LightningBolt': '&#xea0b;',
            ':LightningAtom': '&#xea0c;',
            ':LightningSplit': '&#xea0d;',
            ':LightningCircle': '&#xea0d;',
            ':LightningArrow': '&#xea0e;',
            ':LightningPyramids': '&#xea0f;',
            ':LightningRecycle': '&#xea10;',
            ':1': '&#xea11;',
            ':2': '&#xea12;',
            ':3': '&#xea13;',
            ':4': '&#xea14;',
            ':5': '&#xea15;',
            ':6': '&#xea16;',
            ':Double2': '&#xea17;',
            ':Double4': '&#xea18;',
            ':Double8': '&#xea19;',
            ':Double16': '&#xea1a;',
            ':Double32': '&#xea1b;',
            ':Double64': '&#xea1c;',
            ':Bag': '&#xea1d;',
            ':Coin': '&#xea1e;',
            ':Lunar': '&#xea1f;',
            ':Petal': '&#xea20;',
            ':Twin': '&#xea21;',
            ':Hijincks': '&#xea22;',
            ':Launchpad': '&#xea23;',
            ':Ludo': '&#xea24;',
            ':Volcano': '&#xea25;',
            ':Wheel': '&#xea26;',
            ':MartianChess': '&#xea27;',
            ':WorldWarFive': '&#xea28;',
            ':Arrow': '&#xea29;',
            ':Diamond': '&#xea2a;',
            ':Bolt': '&#xea2b;',
            ':Circle': '&#xea2c;',
            ':Complexity': '&#xea2d;',
            ':Club': '&#xea2e;',
            ':Pip': '&#xea2f;',
            ':Planet': '&#xea30;',
            ':Players': '&#xea31;',
            ':Spade': '&#xea32;',
            ':SymbolPyramids': '&#xea33;',
            ':Recycle': '&#xea34;',
            ':Heart': '&#xea35;',
            ':Split': '&#xea36;',
            ':Time': '&#xea37;',
            ':Atom': '&#xea38;',
            ':Star': '&#xea39;',
          '0': 0
        };
        delete icons['0'];
        window.icomoonLiga = function (els) {
            var classes,
                el,
                i,
                innerHTML,
                key;
            els = els || document.getElementsByTagName('*');
            if (!els.length) {
                els = [els];
            }
            for (i = 0; ; i += 1) {
                el = els[i];
                if (!el) {
                    break;
                }
                classes = el.className;
                if (/icon-/.test(classes)) {
                    innerHTML = el.innerHTML;
                    if (innerHTML && innerHTML.length > 1) {
                        for (key in icons) {
                            if (icons.hasOwnProperty(key)) {
                                innerHTML = innerHTML.replace(new RegExp(key, 'g'), icons[key]);
                            }
                        }
                        el.innerHTML = innerHTML;
                    }
                }
            }
        };
        window.icomoonLiga();
    }
}());
